# ApplicationFramework
TKLCAF
TDF

# TDF_TagSource Class Reference

This attribute manage a tag provider to create
child labels of a given one.
.

`#include <TDF_TagSource.hxx>`

Inheritance diagram for TDF_TagSource:

[legend]

## Public Member Functions

Standard_EXPORT | TDF_TagSource ()
Standard_EXPORT Standard_Integer | NewTag ()
Standard_EXPORT TDF_Label | NewChild ()
Standard_EXPORT Standard_Integer | Get () const
Standard_EXPORT void | Set (const Standard_Integer T)
| TDF_Attribute methods ===================== .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods =============
static Standard_EXPORT Handle_TDF_TagSource | Set (const TDF_Label &label)
| Find, or create, a TagSource attribute. the TagSource attribute is returned. .
static Standard_EXPORT TDF_Label | NewChild (const TDF_Label &L)
| Find (or create) a tagSource attribute located at <l> and make a new child label. //! TagSource methods ================= .

## Private Attributes

Standard_Integer | myTag

## Constructor & Destructor Documentation

Standard_EXPORT TDF_TagSource::TDF_TagSource | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer TDF_TagSource::Get | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDF_TagSource::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDF_TagSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDF_TagSource::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT TDF_Label TDF_TagSource::NewChild | ( |  | ) |

static Standard_EXPORT TDF_Label TDF_TagSource::NewChild | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT Handle_TDF_Attribute TDF_TagSource::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Integer TDF_TagSource::NewTag | ( |  | ) |

Standard_EXPORT void TDF_TagSource::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDF_TagSource::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDF_TagSource::Set | ( | const Standard_Integer | T | ) |

static Standard_EXPORT Handle_TDF_TagSource TDF_TagSource::Set | ( | const TDF_Label & | label | ) | `[static]`

## Field Documentation

Standard_Integer TDF_TagSource::myTag `[private]`

The documentation for this class was generated from the following file:

- TDF_TagSource.hxx